# Variable backgroundWorkerInstance

backgroundWorkerInstance: Remote<{
defferedDbApi: {
importCyberlinks: ((links) => void);
} & ProxyMarked;
init: ((dbApiProxy) => Promise<void>);
ipfsApi: {
addContent: ((content) => Promise<string>);
clearQueue: (() => Promise<void>);
config: (() => Promise<IpfsNodePrperties>);
dequeue: ((cid) => Promise<void>);
dequeueByParent: ((parent) => Promise<void>);
enqueue: ((cid, callback, options) => Promise<void>);
enqueueAndWait: ((cid, options?) => Promise<QueueItemAsyncResult>);
fetchWithDetails: ((cid, parseAs?) => Promise<{
cid: string;
content?: string;
gateway: boolean;
link?: string;
text?: string;
type?: IpfsContentType;
}>);
getIpfsNode: (() => Promise<CybIpfsNode & ProxyMarked>);
info: (() => Promise<IpfsNodeInfo>);
start: ((ipfsOpts) => Promise<boolean>);
stop: (() => Promise<void>);
} & ProxyMarked;
ipfsQueue: default & ProxyMarked;
isInitialized: (() => boolean);
setParams: ((params) => void);
}>

#### Type declaration

- ##### defferedDbApi: {
  importCyberlinks: ((links) => void);
  } & ProxyMarked

- ##### init: ((dbApiProxy) => Promise<void>)

  - - (dbApiProxy): Promise<void>

    - #### Parameters

      - dbApiProxy: default & ProxyMarked

      #### Returns Promise<void>

- ##### ipfsApi: {
  addContent: ((content) => Promise<string>);
  clearQueue: (() => Promise<void>);
  config: (() => Promise<IpfsNodePrperties>);
  dequeue: ((cid) => Promise<void>);
  dequeueByParent: ((parent) => Promise<void>);
  enqueue: ((cid, callback, options) => Promise<void>);
  enqueueAndWait: ((cid, options?) => Promise<QueueItemAsyncResult>);
  fetchWithDetails: ((cid, parseAs?) => Promise<{
  cid: string;
  content?: string;
  gateway: boolean;
  link?: string;
  text?: string;
  type?: IpfsContentType;
  }>);
  getIpfsNode: (() => Promise<CybIpfsNode & ProxyMarked>);
  info: (() => Promise<IpfsNodeInfo>);
  start: ((ipfsOpts) => Promise<boolean>);
  stop: (() => Promise<void>);
  } & ProxyMarked

- ##### ipfsQueue: default & ProxyMarked

- ##### isInitialized: (() => boolean)

  - - (): boolean

    - #### Returns boolean

- ##### setParams: ((params) => void)

  - - (params): void

    - #### Parameters

      - params: Partial<SyncServiceParams>

      #### Returns void

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/workers/background/service.ts:7